from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCellRangeFormula(XInterface, Protocol):
    def getFormulaArray(self) -> list[list[str]]: ...
    def setFormulaArray(self, aArray: sequence< sequence< string > >) -> None: ...
